> ## Documentation Index
> Fetch the complete documentation index at: https://sitespeak.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Suggested Messages

> Returns the suggested messages for the chatbot

## Path Parameters

| Name          | Type   | Description                                                                        |
| ------------- | ------ | ---------------------------------------------------------------------------------- |
| chatbot\_id\* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |

## Headers

| Name            | Type   | Description        |
| --------------- | ------ | ------------------ |
| Accept\*        | String | application/json   |
| Authorization\* | String | Bearer {api_token} |

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/prompts \
    -H "Accept: application/json" \
    -H "Authorization: Bearer YOUR_API_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/prompts', {
    method: 'GET',
    headers: {
      'Accept': 'application/json',
      'Authorization': 'Bearer YOUR_API_TOKEN'
    }
  });

  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

## Response

<Tabs>
  <Tab title="200 Success">
    ```json theme={null}
    [
      {
        "id": "",
        "chatbot_id": "",
        "name": "Pricing Plans",
        "prompt": "How much does it cost to use your service?",
        "type": "ai",
        "action": null,
        "created_at": "2023-10-05T13:36:59.000000Z",
        "updated_at": "2023-10-05T13:36:59.000000Z"
      },
      {
        "id": "",
        "chatbot_id": "",
        "name": "",
        "prompt": "",
        "type": "ai",
        "action": null,
        "created_at": "2023-10-05T13:36:45.000000Z",
        "updated_at": "2023-10-05T13:36:45.000000Z"
      }
    ]
    ```
  </Tab>

  <Tab title="401 Permission denied">
    Returns when the API token is invalid or missing.
  </Tab>
</Tabs>
